Adobe Photoshop CS4 dwmapi DLL Hijacking Exploit

Adobe Photoshop CS4 is prone to a vulnerability that may allow execution of dwmapi.dll if this dll is located in the same folder than .PSD file.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2010-3127
Product Version: 
10.5
Released Date: 
Wednesday, December 1, 2010 - 00:00